//////////////////////////////////////////////////////////////////////////////
// CommonStrings.cpp
//
// All PGPdisk project strings are defined here.
//////////////////////////////////////////////////////////////////////////////

// $Id: CommonStrings.cpp,v 1.5.10.1 1999/08/19 08:35:17 nryan Exp $

// Copyright (C) 1998 by Network Associates, Inc.
// All rights reserved.

#if defined(PGPDISK_MFC)

#include "StdAfx.h"

#elif defined(PGPDISK_95DRIVER)

#include <vtoolscp.h>

#elif defined(PGPDISK_NTDRIVER)

#define	__w64
#include <vdw.h>

#else
#error Define PGPDISK_MFC, PGPDISK_95DRIVER, or PGPDISK_NTDRIVER.
#endif	// PGPDISK_MFC

#include "Required.h"
#include "CommonStrings.h"
#include "Errors.h"


///////////////////////////
// String association array
///////////////////////////

LPCSTR kPGPdiskCommonStrings[kPGPdiskMaxCommonStrings] =
{
	// kPGPdiskBadCmdLineString
	{
//		"Unrecognized command line option or command."
		"sȃR}hCIvVA܂̓R}hłB"	// S.H
	}, 

	// kPGPdiskCmdLineHelpString
	{
//		"Commands: create, mount, open unmount, unmountall, addpass, " 
//		"changepass, removepass, removealts, addrempubkeys, about, help, "
//		"prefs.\n\nOptions: -s: silent mode"
		"R}h: create, mount, open unmount, unmountall, addpass, " 
		"changepass, removepass, removealts, addrempubkeys, about, help, "
		"prefs.\n\nIvV: -s: TCg[h"	// S.H
	},

	// kPGPdiskBecauseString
	{
//		"because "
		"R "	// S.H
	}, 

	// kPGPdiskNoMemForErrorString
	{
//		"PGPdisk is running out of memory - please quit now."
		"PGPdisk s邽߂̃[sĂ܂BɏIĂB"	// S.H
	}, 

	// kPGPdiskRemoveAltsSuccessString
	{
//		"All alternate passphrases were successfully removed."
		"ׂĂ̑㗝pXt[Y菜܂B"	// S.H
	}, 

	// kPGPdiskNoPGPdisksToUnmountString
	{
//		"There are no PGPdisks currently mounted."
		"݃}EgĂ PGPdisk ͂܂B"	// S.H
	}, 

	// kPGPdiskLicenseToText
	{
//		"Licensed To:"
		"CZX:"	// S.H
	}, 

	// kPGPdiskDemoTimeoutWarning
	{
//		"This demo version of PGPdisk has expired. From now on, you will "
//		"only be able to mount your PGPdisks in read-only mode. For "
//		"instructions on how to purchase a fully-enabled copy of PGPdisk, "
//		"click on the link below."
		" PGPdisk fo[W͗L؂܂B"
		"ȍ~́APGPdisk ǂݎp[hł̂݃}Egł܂B"
		"PGPdisk ̊Słɓ邽߂̒ӏ\邽߂ɂ́A"
		"̃NNbNĂB"	// S.H
	}, 

	// kPGPdiskDemoBadCommandWarning
	{
//		"This command is unavailable becaue your demo copy of PGPdisk has " 
//		"expired. For instructions on how to purchase a fully-enabled copy "
//		"of PGPdisk, click on the button below."
		"̃R}h́APGPdisk fo[W̗L؂Ă邽߁A" 
		"gp邱Ƃo܂B"
		"PGPdisk ̊Słɓ邽߂̒ӏ\邽߂ɂ́A"
		"̃NNbNĂB"	// S.H
	}, 

	// kPGPdiskURL
	{
		"http://www.pgp.com/"
	}, 

	// kPGPdiskBuyNowURL
	{
		"http://www.pgp.com/"
	}, 

	// kPGPdiskCPDTAddPassMsg
	{
//		"Please enter an additional passphrase for \"%s\"."
		"\"%s\" ̑㗝pXt[Y͂ĂB"	// S.H
	}, 

	// kPGPdiskCPDTChangePassMsg
	{
//		"Please enter a new passphrase for \"%s\"."
		"\"%s\" ̐VpXt[Y͂ĂB"	// S.H
	}, 

	// kPGPdiskSDTCreateDialogTitle
	{
//		"New PGPdisk"
		"V PGPdisk"	// S.H
	}, 

	// kPGPdiskSDTSaveFilter
	{
//		"PGPdisk Files (*.pgd)||"
		"PGPdisk t@C (*.pgd)||"	// S.H
	}, 

	// kPGPdiskSPDTChangePassMsg
	{
//		"Please enter the passphrase to change for \"%s\"."
		"\"%s\" ύX邽߂̃pXt[Y͂ĂB"	// S.H
	}, 

	// kPGPdiskSPDTMasterPassMsg
	{
//		"Please enter the master passphrase for \"%s\"."
		"\"%s\" ̃}X^pXt[Y͂ĂB"	// S.H
	}, 

	// kPGPdiskSPDTMountPassMsg
	{
//		"Please enter a passphrase for \"%s\"."
		"\"%s\" ̃pXt[Y͂ĂB"	// S.H
	}, 

	// kPGPdiskSPDTPublicKeyPassMsg
	{
//		"Please enter a public key passphrase for \"%s\"."
		"\"%s\" ̌J̃pXt[Y͂Ă."	// S.H
	}, 

	// kPGPdiskSPDTRemovePassMsg
	{
//		"Please enter the passphrase to remove from \"%s\"."
		"\"%s\" 폜邽߂̃pXt[Y͂ĂB"	// S.H
	}, 

	// kPGPdiskPrefsSheetTitleString
	{
//		"Preferences"
		"ݒ"	// S.H
	}, 

	// kPGPdiskDiskWizSheetTitleString
	{
//		"New PGPdisk Wizard"
		"PGPdisk 쐬EBU[h"	// S.H
	}, 

	// kPGPdiskCreationCreateMsgString
	{
//		"Creating: \"%s\""
		"쐬Ă܂: \"%s\""	// S.H
	}, 

	// kPGPdiskCreationDoneMsgString
	{
//		"Finished: \"%s\""
		"I܂: \"%s\""	// S.H
	}, 


	// kPGPdiskFreeSize1MsgString
	{
//		"You have %s of free space available. Note that the actual amount "
//		"of free space on the PGPdisk volume you create will be somewhat "
//		"smaller than the figure you choose below."
		"p\ %s ̋󂫗̈悪܂B"
		"ȂAPGPdisk {[̋󂫗̈́A"
		"ȂŎw肵TCYA኱ȂȂ܂B"	// S.H
	}, 

	// kPGPdiskFreeSize2MsgString
	{
//		"You have %s of free space available. Note that the actual amount "
//		"of free space on the PGPdisk volume you create will be somewhat "
//		"smaller than the figure you choose below."
		"p\ %s ̋󂫗̈悪܂B"
		"ȂAPGPdisk {[̋󂫗̈́A"
		"ȂŎw肵TCYA኱ȂȂ܂B"	// S.H
	}, 

	// kPGPdiskFreeSize3MsgString
	{
//		"PGPdisk was unable to determine the amount of available free "
//		"space. Note that the actual amount of free space on the PGPdisk "
//		"volume you create will be somewhat smaller than the figure you "
//		"choose below."
		"PGPdisk ɕKvȏ\ȋ󂫗̈悪܂B"
		"ȂAPGPdisk {[̋󂫗̈́A"
		"ȂŎw肵TCYA኱ȂȂ܂B"	// S.H
	}, 

	// kPGPdiskOpenCmdString
	{
		"open"
	}, 

	// kPGPdiskGlobalConvertCmdString
	{
		"globalconvert"
	}, 

	// kPGPdiskCreateCmdString
	{
		"create"
	}, 

	// kPGPdiskMountCmdString
	{
		"mount"
	}, 

	// kPGPdiskUnmountCmdString
	{
		"unmount"
	}, 

	// kPGPdiskUnmountAllCmdString
	{
		"unmountall"
	}, 

	// kPGPdiskAddPassCmdString
	{
		"addpass"
	}, 

	// kPGPdiskChangePassCmdString
	{
		"changepass"
	}, 

	// kPGPdiskRemovePassCmdString
	{
		"removepass"
	}, 

	// kPGPdiskRemoveAltsCmdString
	{
		"removealts"
	}, 

	// kPGPdiskPubKeyCmdString
	{
		"addrempubkeys"
	}, 

	// kPGPdiskWipeAllCmdString
	{
		"disableallmounted"
	},

	// kPGPdiskWipeIndCmdString
	{
		"disablethisdisk"
	},

	// kPGPdiskAboutCmdString
	{
		"about"
	}, 

	// kPGPdiskHelpCmdString
	{
		"help"
	}, 

	// kPGPdiskPrefsCmdString
	{
		"prefs"
	}, 

	// kPGPdiskShellExtOpenMenuString
	{
//		"&Open PGPdisks..."
		"PGPdiskJ(&O)..."	// S.H
	}, 
	
	// kPGPdiskShellExtMountMenuString
	{
//		"&Mount PGPdisk..."
		"PGPdisk}Eg(&M)..."	// S.H
	}, 

	// kPGPdiskShellExtUnmountMenuString
	{
//		"&Unmount PGPdisk"
		"PGPdiskA}Eg(&U)"	// S.H
	}, 

	// kPGPdiskShellExtAddPassMenuString
	{
//		"&Add Passphrase..."
		"pXt[Yǉ(&A)..."	// S.H
	}, 

	// kPGPdiskShellExtChangePassMenuString
	{
//		"&Change Passphrase..."
		"pXt[YύX(&C)..."	// S.H
	}, 

	// kPGPdiskShellExtRemovePassMenuString
	{
//		"&Remove Passphrase..."
		"pXt[Y폜(&R)..."	// S.H
	}, 

	// kPGPdiskShellExtRemoveAltsMenuString
	{
//		"&Remove Alternate Passphrases..."
		"㗝pXt[Y폜(&R)..."	// S.H
	}, 

	// kPGPdiskShellExtPubKeysMenuString
	{
//		"Add/Remove Public &Keys..."
		"Jǉ/폜(&K)..."	// S.H
	}, 

	// kPGPdiskShellExtHelpMenuString
	{
//		"&Help..."
		"wv(&H)..."	// S.H
	}, 

	// kPGPdiskShellExtDescribeOpenString, 
	{
//		"Mounts or explores the selected PGPdisks."
		"Iꂽ PGPdisk 𒲍A܂̓}Eg܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribeMountString, 
	{
//		"Mounts an unmounted PGPdisk."
		"A}EgĂ PGPdisk }Eg܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribeUnmountString, 
	{
//		"Unmounts a mounted PGPdisk."
		"}EgĂ PGPdisk A}Eg܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribeAddPassString, 
	{
//		"Adds a passphrase to an unmounted PGPdisk."
		"A}EgĂ PGPdisk ɃpXt[Yǉ܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribeChangePassString, 
	{
//		"Changes a passphrase on an unmounted PGPdisk."
		"A}EgĂ PGPdisk ̃pXt[YύX܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribeRemovePassString, 
	{
//		"Remove all alternate passphrases from an unmounted PGPdisk."
		"A}EgĂ PGPdisk AׂĂ̑㗝pXt[Y폜܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribeRemoveAltsString, 
	{
//		"Removes a passphrase from an unmounted PGPdisk."
		"A}EgĂ PGPdisk pXt[Y폜܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribePubKeysString, 
	{
//		"Adds and removes public keys to or from an unmounted PGPdisk."
		"A}EgĂ PGPdisk ɑ΂āAJǉ܂͍폜܂B"	// S.H
	}, 

	// kPGPdiskShellExtDescribeHelpString
	{
//		"Displays the PGPdisk help file."
		"PGPdisk ̃wv\܂B"	// S.H
	}, 

	// kPGPdiskBetaTimeOutWarning
	{
//		"This beta version of PGPdisk has expired. From now on, you will "
//		"only be able to mount your PGPdisks in read-only mode."
		"PGPdisk ̃x[^o[W͊؂܂B"
		"ȍ~́APGPdisk ǂݎp[hł̂݃}Egł܂B"	// S.H
	}, 

	// kPGPdiskVerifyRemoveAlternates
	{
//		"Are you sure you want to remove all passphrases from this PGPdisk? "
//		"If you choose 'Yes', only the master passphrase will be able to "
//		"mount this PGPdisk."
		"{ɁA PGPdisk 炷ׂẴpXt[Y폜܂? "
		" '͂' IƁA"
		"}X^pXt[Ył̂ PGPdisk }Eg邱Ƃo܂B"	// S.H
	}, 

	// kPGPdiskNotifyMountMaybeCorrupt
	{
//		"This PGPdisk was either unmounted improperly or was created by "
//		"copying an already mounted PGPdisk file, and may be damaged and/or "
//		"out-of-date. You should check it with a disk repair utility at the "
//		"first opportunity."
		" PGPdisk ́AsKɃA}EgꂽA"
		"}EgĂ PGPdisk t@CRs[邱Ƃɂ"
		"ꂽ߁AĂ܂B"
		"@莟AfBXNC[eBeBŃ`FbNׂłB"	// S.H
	}, 

	// kPGPdiskConfirmFormat
	{
//		"The PGPdisk does not appear to be formatted. Do you want to format "
//		"it now?"
		"PGPdisk ́A܂tH[}bgĂȂ悤łB"
		"tH[}bg܂?"	// S.H
	}, 

	// kPGPdiskAskToSavePrefs
	{
//		"You have made changes that have not been applied. Do you want to "
//		"apply them now?"
		"ύXĂ܂A܂KpĂ܂B"
		"̕ύXAKp܂?"	// S.H
	}, 

	// kPGPdiskPGPdiskIsNotEncrypted
	{
//		"This PGPdisk was created using a demo version of PGPdisk and is "
//		"not encrypted. For security reasons, you will only be able to "
//		"mount it in read-only mode."
		" PGPdisk ́APGPdisk fo[WɂčĂāA"
		"ÍĂ܂BZLeB̗RɂA"
		"ǂݎp[hł̂݃}Eg邱Ƃo܂B"	// S.H
	}, 

	// kPGPdiskConfirmCancelFormat
	{
//		"Your new PGPdisk volume still hasn't been formatted. Do you want "
//		"to attempt formatting again?"
		"V PGPdisk {[́A܂tH[}bgĂ܂B"
		"tH[}bg܂?"	// S.H
	}, 

	// kPGPdiskResConfirmPGPdiskResQuit
	{
//		"Are you sure you want to stop the PGPdiskResident application? If "
//		"you do so, important PGPdisk features such as the unmount hotkey "
//		"will not work."
		"{ɁAPGPdiskResident AvP[V~܂? "
		"~ƁAPGPdisk ̏dvȋ@\łAA}EgzbgL["
		"ɂȂ܂B"	// S.H
	}, 

	// kPGPdiskConfirmCancelCreation
	{
//		"Are you sure you want to cancel creating your new PGPdisk?"
		"{ɁAV PGPdisk ̍쐬𒆎~܂?"	// S.H
	}, 

	// kPGPdiskForceROOnLoopbackString
	{
//		"You are attempting to mount a PGPdisk via a network path that "
//		"points to a directory on the local machine. Since PGPdisk cannot "
//		"fully resolve this path on non-Administrator accounts, you will be "
//		"forced to mount this PGPdisk in read-only mode."
		"[J}ṼfBNgɊ蓖Ăꂽlbg[NpX "
		"PGPdisk }Eg悤ƂĂ܂B"
		"Administrator ȊÕAJEgł́Â悤ȃpXwłȂ߁A"
		"ǂݎp[hŃ}Eg܂B"	// S.H
	}, 

	// kPGPdiskErrorWasString
	{
//		"The error was \"%s.\""
		"G[ \"%s.\" łB"	// S.H
	}, 

	// kPGPdiskConfirmWipeAllPasses
	{
//		"Are you sure you want to wipe the master and alternate passphrases "
//		"of all mounted PGPdisks? Only PGPdisks with public key passphrases "
//		"will be affected, and those public key passphrases will be left "
//		"alone."
		"{ɁA}EgĂ邷ׂĂ PGPdisk ̃}X^"
		"㗝pXt[Y폜܂? J PGPdisk ́A"
		"J̃pXt[Yc܂B"	// S.H
	}, 

	// kPGPdiskConfirmWipeIndPasses
	{
//		"Are you sure you want to wipe the master and alternate passphrases "
//		"of the specified PGPdisk? Only PGPdisks with public key passphrases "
//		"will be affected, and those public key passphrases will be left "
//		"alone."
		"{ɁAw肳ꂽ PGPdisk ̃}X^"
		"㗝pXt[Y폜܂? J PGPdisk ́A"
		"J̃pXt[Yc܂B"	// S.H
	}, 

	// kPGPdiskBadCASTAskConvertPNM
	{
//		"This PGPdisk was created with an earlier version of PGPdisk and "
//		"may not be secure. Do you wish to convert the PGPdisk to the newer "
//		"format? This may take several minutes, and if you choose \"No\", "
//		"you will not be allowed to modify files contained in the PGPdisk."
		" PGPdisk ́APGPdisk ̌Âo[WōĂāA"
		"S̖AG[܂ł܂BPGPdisk ̐VtH[}bg"
		"ϊ܂? ̍Ƃɂ͐܂B \"\" "
		"IꍇAPGPdisk Ɋ܂܂Ăt@CύX邱Ƃ"
		"o܂B"	// S.H
	}, 

	// kPGPdiskBadCASTAskContinuePNM
	{
//		"This PGPdisk was being converted to the new, more secure format "
//		"when the process was interrupted. Do you wish to continue the "
//		"conversion? You must complete the conversion in order to access "
//		"the PGPdisk."
		"vZXfꂽƂA PGPdisk ́AVSȃtH[}bg"
		"ϊĂrłB̕ϊ𑱂܂? PGPdisk ɃANZX"
		"ɂ́AϊȂ΂Ȃ܂B"
	}, 

	// kPGPdiskBadCASTAskConvertPM
	{
//		"This PGPdisk was created with an earlier version of PGPdisk and "
//		"may not be secure. Do you wish to convert the PGPdisk to the newer "
//		"format? This may take several minutes, and if you choose \"No\", "
//		"you will not be allowed to modify files contained in the PGPdisk."
		" PGPdisk ́APGPdisk ̌Âo[WōĂāA"
		"S̖AG[܂ł܂BPGPdisk ̐VtH[}bg"
		"ϊ܂? ̍Ƃɂ͐܂B \"\" "
		"IꍇAPGPdisk Ɋ܂܂Ăt@CύX邱Ƃ"
		"o܂B"	// S.H
	}, 

	// kPGPdiskBadCASTAskContinuePM
	{
//		"This PGPdisk was being converted to the new, more secure format "
//		"when the process was interrupted. Do you wish to continue the "
//		"conversion? You must complete the conversion in order to access "
//		"the PGPdisk."
		"vZXfꂽƂA PGPdisk ́AVSȃtH[}bg"
		"ϊĂrłB̕ϊ𑱂܂? PGPdisk ɃANZX"
		"ɂ́AϊȂ΂Ȃ܂B"	// S.H
	}, 

	// kPGPdiskBadCASTReadOnly
	{
//		"This PGPdisk was created with an earlier version of PGPdisk and "
//		"may not be secure. Since the specified PGPdisk file is read-only, "
//		"it cannot be converted to the newer format at the current time. "
//		"Please mark it read/write or copy its contents to a new PGPdisk as "
//		"soon as possible."
		" PGPdisk ́APGPdisk ̌Âo[WōĂāA"
		"Sɖ肪邩܂Bw肳ꂽ PGPdisk t@C"
		"ǂݎp̂߁AVtH[}bgɕϊ邱Ƃo܂B"
		"݂ł悤ɂ邩AV PGPdisk ɂ̒g"
		"Rs[ĂB"	// S.H
	}, 

	// kPGPdiskConvertWizSheetTitleString
	{
//		"PGPdisk Conversion Wizard"
		"PGPdisk ϊEBU[h"	// S.H
	}, 

	// kPGPdiskConversionConvertMsgString
	{
//		"Converting: \"%s\""
		"ϊĂ܂: \"%s\""	// S.H
	}, 

	// kPGPdiskConversionDoneMsgString
	{
//		"Finished: \"%s\""
		"I܂: \"%s\""	// S.H
	}, 

	// kPGPdiskConfirmCancelConversion
	{
//		"Are you sure you want to cancel the PGPdisk conversion process? "
//		"You won't be able to access the PGPdisk again until you allow "
//		"PGPdisk to finish the conversion."
		"{ PGPdisk ̕ϊ𒆒f܂? "
		"PGPdisk ɃANZXo悤ɂɂ́A"
		"ϊȂ΂Ȃ܂B"	// S.H
	}, 

	// kPGPdiskGlobalCWizSheetTitleString
	{
//		"PGPdisk Global Conversion Wizard"
		"PGPdisk S̈ϊEBU[h"	// S.H
	}, 

	// kPGPdiskConfirmCancelSearching
	{
//		"Are you sure you want to cancel the PGPdisk global search and "
//		"conversion process?"
		"{ PGPdisk ̑S̈挟ƁAϊvZX𒆒f܂?"	// S.H
	}, 

	// kPGPdiskSearchingSearchMsgString
	{
//		"Searching:"
		"Ă܂:"	// S.H
	}, 

	// kPGPdiskSearchingDoneMsgString
	{
//		"Done searching."
		"I܂B"	// S.H
	}, 

	// kPGPdiskConversionWipedMsgString
	{
//		"This PGPdisk has previously had its master and alternate "
//		"passphrases wiped. In order to proceed with conversion, you must "
//		"enter the passphrase for one of the public keys left on the "
//		"PGPdisk. The conversion process will restore the PGPdisk to "
//		"ordinary functionality, with a new master passphrase identical to "
//		"the passphrase you enter for the public key. All public keys on "
//		"the PGPdisk (except for ADKs) will be removed."
		" PGPdisk ́AȑOɃ}X^Ƒ㗝pXt[Y폜܂B"
		"ϊ𑱂ɂ́AcꂽJ̈̃pXt[Y"
		"͂Ȃ΂Ȃ܂BϊvZX́APGPdisk "
		"ʏ̏Ԃɖ߂߁A͂ꂽJ̃pXt[YA"
		"V}X^pXt[YƂĐݒ肳܂B"
		"PGPdisk ׂ̂Ă̌J (ADK ȊO) 폜܂B"	// S.H
	}, 

	// kPGPdiskTellCantRemoveCompression
	{
//		"Your PGPdisk file is currently compressed. PGPdisk has attempted "
//		"to remove the compression, but has failed. You will not be allowed "
//		"to mount this PGPdisk until the compression has been removed."
		"Ȃ PGPdisk t@ĆA݈kĂ܂B"
		"PGPdisk ͈k悤Ƃ܂As܂B"
		"k܂ŁA PGPdisk }Eg邱Ƃ͂ł܂B"	// S.H
	}
};
