//////////////////////////////////////////////////////////////////////////////
// Errors.cpp
//
// Defines error strings.
//////////////////////////////////////////////////////////////////////////////

// $Id: Errors.cpp,v 1.6.10.2 1999/09/22 22:38:43 nryan Exp $

// Copyright (C) 1998 by Network Associates, Inc.
// All rights reserved.

#if defined(PGPDISK_MFC)

#include "StdAfx.h"

#elif defined(PGPDISK_95DRIVER)

#include <vtoolscp.h>

#elif defined(PGPDISK_NTDRIVER)

#define	__w64
#include <vdw.h>

#else
#error Define PGPDISK_MFC, PGPDISK_95DRIVER, or PGPDISK_NTDRIVER.
#endif	// PGPDISK_MFC

#include "Required.h"
#include "Errors.h"


////////////////////////////
// String association arrays
////////////////////////////

LPCSTR kPGPdiskMajorErrorStrings[kPGPdiskMaxMajorErrorStrings] =
{
	// kPGDMajorError_NoErr
	{
//		"No error occured."
		"G[͂܂B"	// S.H
	}, 

	// kPGDMajorError_AppInitFailed
	{
//		"PGPdisk was unable to start %s."
		"PGPdisk ́A%sAJnł܂łB"	// S.H
	}, 

	// kPGDMajorError_PGPdiskCreationFailed
	{
//		"PGPdisk was unable to create a new PGPdisk %s."
		"V PGPdisk A%sA쐬ł܂łB"	// S.H
	}, 

	// kPGDMajorError_PGPdiskMountFailed
	{
//		"This PGPdisk could not be mounted %s."
		" PGPdisk ́A%sA}Egł܂łB"	// S.H
	}, 

	// kPGDMajorError_PGPdiskTooBig
	{
//		"PGPdisks cannot be larger than 2048 MB (Win95) or 1024 GB (NT) in "
//		"size."
		"PGPdisks  2048 MB (Win95) ܂ 1024 GB (NT) ȏ̃TCY͍܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskTooSmall
	{
//		"PGPdisks cannot be smaller than 100k in size."
		"PGPdisks  100 KB 菬TCY͍܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskUnmountFailed
	{
//		"The PGPdisk %c:\\ could not be unmounted %s."
		"PGPdisk  %c:\\ hCuɁA%sA}Egł܂łB"	// S.H
	}, 

	// kPGDMajorError_PGPdiskReadError
	{
//		"A read operation on the PGPdisk %c:\\ has failed %s. Do you wish "
//		"to attempt an emergency unmount of the PGPdisk?"
		"PGPdisk %c:\\ ̓ǂݎɁA%sAs܂B"
		"PGPdisk ً}A}Eg܂?"	// S.H
	}, 

	// kPGDMajorError_PGPdiskWriteError
	{
//		"A write operation on the PGPdisk %c:\\ has failed %s. Do you wish "
//		"to attempt an emergency unmount of the PGPdisk?"
		"PGPdisk %c:\\ ݂̏ɁA%sAs܂B"
		"PGPdisk ً}A}Eg܂?"	// S.H
	}, 

	// kPGDMajorError_AboutBoxDisplayFailed
	{
//		"PGPdisk was unable to display the about box %s."
		"%sA\邱Ƃo܂łB"	// S.H
	}, 

	// kPGDMajorError_PreferencesAccessFailed
	{
//		"An attempt to access the PGPDisk preferences failed %s."
		"%sAPGPdisk ̐ݒɑ΂ANZXs܂B"	// S.H
	}, 

	// kPGDMajorError_TimeoutValueTooSmall
	{
//		"The inactivity timeout value must be greater than 1 minute."
		"^CAEg̎Ԃ́A1 ȏKvłB"	// S.H
	}, 

	// kPGDMajorError_TimeoutValueTooBig
	{
//		"The inactivity timeout value must be less than 999 minutes."
		"^CAEg̎Ԃ́A999 ȉłȂ΂Ȃ܂B"	// S.H
	}, 

	// kPGDMajorError_NotEnoughDiskSpace
	{
//		"There is not enough free disk space to create a PGPdisk of the "
//		"size you specified. Please enter a smaller size."
		"w肳ꂽTCY PGPdisk 邾́A\ȋ󂫗̈悪܂B"
		"TCY͂ĂB"	// S.H
	}, 

	// kPGDMajorError_PassphraseTooSmall
	{
//		"Your passphrase must be at least 8 characters in length. Please "
//		"choose a longer passphrase and try again."
		"pXt[Y͍Œł 8 ȏKvłB"
		"8 ȏ̃pXt[YIāAē͂ĂB"	// S.H
	}, 

	// kPGDMajorError_PassphraseNotConfirmed
	{
//		"The passphrase you entered does not match the phrase you typed "
//		"into the confirmation field. Please correct this and try again."
		"͂ꂽpXt[ÝAmFtB[hɓ͂̂Ɠł͂܂B"
		"xmFāAē͂ĂB"	// S.H
	}, 

	// kPGDMajorError_PGPdiskAddPassFailed
	{
//		"PGPdisk was unable to add another passphrase %s."
		"%sAʂ̃pXt[Yǉł܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskChangePassFailed
	{
//		"PGPdisk was unable to change your passphrase %s."
		"%sApXt[YύXł܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskRemoveOnePassFailed
	{
//		"PGPdisk was unable to remove your passphrase %s."
		"%sApXt[Y폜ł܂B"	// S.H
	}, 

	// kPGDMajorError_IncorrectPassphrase
	{
//		"The passphrase you entered is not a valid master or alternate "
//		"passphrase for this PGPdisk. Please try again."
		"͂ꂽpXt[ÝA PGPdisk ̂߂̐}X^/㗝pXt[Ył͂܂B"
		"mFāAē͂ĂB"	// S.H
	}, 

	// kPGDMajorError_IncorrectMasterPassphrase
	{
//		"The passphrase you entered is not a valid master passphrase for "
//		"this PGPdisk. Please try again."
		"͂ꂽpXt[ÝA PGPdisk ̂߂̐}X^pXt[Ył͂܂B"
		"mFāAē͂ĂB"	// S.H
	}, 

	// kPGDMajorError_TriedRemoveMasterPass
	{
//		"You cannot remove the master passphrase from a PGPdisk. Please "
//		"enter an alternate passphrase instead."
		"PGPdisk }X^pXt[Y폜ł܂łB"
		"ɑ㗝pXt[Y͂ĂB"	// S.H
	}, 

	// kPGDMajorError_IncorrectAlternatePassphrase
	{
//		"The passphrase you entered is not a valid alternate passphrase for "
//		"this PGPdisk. Please try again."
		"͂ꂽpXt[ÝA PGPdisk ̂߂̐㗝pXt[Ył͂܂B"
		"mFāAē͂ĉB"	// S.H
	}, 

	// kPGDMajorError_PassphraseAlreadyExists
	{
//		"That passphrase already exists. Please try again."
		"̃pXt[Y͊ɑ݂܂BxĂB"	// S.H
	}, 

	// kPGDMajorError_NotCompatibleWindows
	{
//		"PGPdisk could not be started because it is only compatible with "
//		"Windows 95/98 and Windows NT 4.0 or later."
		"PGPdisk ͊Jnł܂łBWindows 95/98AWindows NT 4.0 ȍ~̌݊ȂƁA삵܂B"	// S.H
	}, 

	// kPGDMajorError_TriedPassOpOnMountedPGPdisk
	{
//		"You must first unmount the selected PGPdisk before adding, "
//		"changing or removing a passphrase or public key."
		"pXt[YJAǉ폜ύXɂ́A܂A}EgȂ΂Ȃ܂B"	// S.H
	}, 

	// kPGDMajorError_InvalidCipherContext
	{
//		"The PGPdisk mounted as drive %c:\\ has been emergency unmounted "
//		"%s. It may corrupted - please backup all files on this PGPdisk as "
//		"soon as possible."
		"hCu %c:\\ Ƀ}Egꂽ PGPdisk ́A%sAً}ɃA}Eg܂B"
		"͕sȓłBo邾A PGPdisk ɂ邷ׂẴt@C"
		"obNAbvĂB"	// S.H
	}, 

	// kPGDMajorError_DriverUpdatePrefsFailed
	{
//		"The PGPdisk application was unable to communicate with the PGPdisk "
//		"driver %s. Please restart your computer and reinstall PGPdisk."
		"PGPdisk AvP[V́APGPdisk hCoƒʐMł܂(%s)B"
		"Rs[^ċN PGPdisk ăCXg[ĂB"	// S.H
	}, 

	// kPGDMajorError_DialogDisplayFailed
	{
//		"PGPdisk was unable to display a dialog box %s."
		"%sAPGPdisk ̓_CAO{bNX\ł܂B"	// S.H
	}, 

	// kPGDMajorError_ChoseReadOnlyDirInCreate
	{
//		"The directory you have chosen is write-protected. Please choose "
//		"another."
		"IꂽfBNǵA݋֎~łBIĂB"	// S.H
	}, 

	// kPGDMajorError_ChoseTooSmallDirInCreate
	{
//		"The directory you have chosen does not have the minimum required "
//		"amount of free space (about 100k). Please choose another."
		"IfBNǵAKvƂŏ̋󂫗̈ (100KB ق) ܂B"
		"IĂB"	// S.H
	}, 

	// kPGDMajorError_ChoseInvalidDirInCreate
	{
//		"The directory you have chosen does not exist. Please choose "
//		"another."
		"IꂽfBNg݂͑܂BIĂB"	// S.H
	}, 

	// kPGDMajorError_NoSleepOnUnmountFailure
	{
//		"Computer sleep has been prevented because PGPdisk could not "
//		"unmount one or more of its volumes. You can disable this check by "
//		"deselecting the appropriate option from within the PGPdisk "
//		"preferences."
		"PGPdisk ͈ȏ̃{[A}EgłȂ߁A"
		"Rs[^̓X[v[hɂȂ܂łB"
		"̏Qɑ΂āAPGPdisk ̐ݒ̒A`FbN𖳌ɂ邱Ƃł܂B"	// S.H
	}, 

	// kPGDMajorError_BadCommandAfterBetaTimeout
	{
//		"This command is unavailable because your beta copy of PGPdisk has "
//		"expired."
		"̃R}h́APGPdisk x[^ł̗L؂Ă邽߁Agp邱Ƃo܂B"	// S.H
	}, 

	// kPGDMajorError_ChoseReplaceFileInUse
	{
//		"This file is in use by another program and cannot be replaced."
		"̃t@ĆÃvOɂĎgp̂߁AύX邱Ƃo܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskRemoveAllPassesFailed
	{
//		"PGPdisk was unable to remove all of your passphrases %s."
		"%sAPGPdisk ̓pXt[Y폜ł܂łB"	// S.H
	}, 

	// kPGDMajorError_PGPdiskUnmountAllFailed
	{
//		"Some PGPdisks could not be unmounted %s."
		"%sA PGPdisks AA}Egł܂łB"	// S.H
	}, 

	// kPGDMajorError_InvalidVolumeName
	{
//		"A PGPdisk volume name cannot contain any of the following "
//		"characters: \"&*+./:;<=>?[\\]^|"
		"PGPdisk {[ɁAgpłȂ܂܂Ă܂B"
		"gpłȂ: \"&*+./:;<=>?[\\]^|"	// S.H
	}, 

	// kPGDMajorError_WindowsFormatFailed
	{
//		"PGPdisk encountered an error when trying to display the standard "
//		"Windows formatting dialog. PGPdisk will now attempt to format your "
//		"new PGPdisk volume using its own algorithm; it is suggested that "
//		"you reformat from the Windows Explorer as soon as possible."
		"WI Windows tH[}bg_CAO\ƂɃG[܂B"
		"AWindows GNXv[ŃtH[}bg邱Ƃ߂܂B"	// S.H
	}, 

	// kPGDMajorError_ResidentAppInitFailed
	{
//		"The background application \"PGPdiskResident.exe\" could not be "
//		"started %s. Important PGPdisk functions may not work as a result."
		"obNOEhAvP[Vł \"PGPdiskResident.exe\" ́A"
		"Jnł܂łB%sAdv PGPdisk ̋@\ɂȂĂ܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskResHotKeyOpFailed
	{
//		"PGPdisk couldn't enable or disable the PGPdisk unmount hotkey. "
//		"The key combination you have chosen may not be compatible with "
//		"your system, or may be conflicting with another application. "
//		"You should choose another hotkey, quit all other applications, or "
//		"reboot your system."
		"PGPdisk  PGPdisk ̃A}EgzbgL[Lɂ薳ɂo܂B"
		"ݒ肳ꂽL[̑gݍ킹́ÃAvP[VƏdĂ邽߁A"
		"Ȃ̃VXeł͗Lł͂Ȃ܂B"
		"̃zbgL[I邩AׂĂ̑̃AvP[VI邩A"
		"Ȃ̃VXeċNKv܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskIrpCleanupError
	{
//		"PGPdisk couldn't disable IO to the PGPdisk drive %c:\\ %s"
		"%sAPGPdisk drive %c:\\ ƁAIO 鎖o܂B"	// S.H
	}, 

	// kPGDMajorError_CouldntFindAppString
	{
//		"Your request could not be completed because the PGPdisk "
//		"application could not be found. Please run PGPdisk once to correct "
//		"this."
		"Ȃ̑́APGPdisk AvP[VȂ߁A"
		"邱Ƃo܂łB̖C邽߂ɁAPGPdisk NĂB"	// S.H
	}, 

	// kPGDMajorError_KModeExceptionOccured
	{
//		"An internal error was encountered within the PGPdisk driver %s."
		"%sAPGPdisk hCuŁAG[܂B"	// S.H
	}, 

	// kPGDMajorError_CouldntFindResidentApp
	{
//		"The background application \"PGPdiskResident.exe\" could not be "
//		"found. This application must always be in the same directory as "
//		"\"PGPdisk.exe\". Important PGPdisk functions may not work as a "
//		"result."
		"obNOEhAvP[Vł \"PGPdiskResident.exe\" ܂łB"
		"̃AvP[V́A \"PGPdisk.exe\" AvP[V"
		"fBNgɂȂ΂܂B̃G[̂߁Adv PGPdisk ̋@\ɂȂĂ܂B"	// S.H
	}, 

	// kPGDMajorError_AddRemovePublicKeysFailed
	{
//		"PGPdisk was unable to read and/or modify the public keys "
//		"associated with the specified PGPdisk %s."
		"%sAPGPdisk Ɋ֘AJAǂ񂾂ύX肷邱Ƃo܂B"	// S.H
	}, 

	// kPGDMajorError_IncPassAndKeyNotInRing
	{
//		"The passphrase you entered is not a valid master or alternate "
//		"passphrase for this PGPdisk. (Note that there were public key "
//		"passphrases on this PGPdisk that could not be checked, either "
//		"because they aren't on the local keyring or because the local "
//		"keyring could not be opened.) Please try again."
		"͂ꂽpXt[ÝA PGPdisk ̗Lȃ}X^/㗝pXt[Ył͂܂B"
		"(F PGPdisk ̌J̃pXt[Y݂܂A"
		"[JOɑ݂ȂA[JOJȂ߁A"
		"ׂ邱Ƃo܂B) xĂB"	// S.H
	}, 

	// kPGDMajorError_PGPdiskPassesWiped
	{
//		"This PGPdisk has had its master and alternate passphrases wiped. "
//		"It can now only be mounted by the holder of the private key "
//		"associated with one or more of the public keys on the PGPdisk. You "
//		"will now be shown a dialog containing a read-only list of these "
//		"public keys (bottom pane)."
		" PGPdisk ́A}X^Ƒ㗝pXt[Y폜܂܂łB"
		"܂̂ƂAPGPdisk ̈ȏ̌JɑΉ閧ɂĂ̂݁A"
		"}Eg邱Ƃo܂B"
		"̌J́Aǂݎp̃Xg̃_CAO\܂B"	// S.H
	}, 

	// kPGDMajorError_WipePassesFailed
	{
//		"PGPdisk was unable to wipe the master and alternate passphrases on "
//		"one or more PGPdisks %s."
		"%sAȏ PGPdisk ̃}X^/㗝pXt[YA폜邱Ƃo܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskConversionFailed
	{
//		"PGPdisk was unable to convert a PGPdisk to the new format %s."
		"%sAPGPdisk VtH[}bgɁAϊ邱Ƃo܂B"	// S.H
	}, 

	// kPGDMajorError_PGPdiskGlobalConversionFailed
	{
//		"PGPdisk was unable to invoke the global PGPdisk conversion "
//		"wizard %s."
		"%sAPGPdisk ̑S̈ϊEBU[hAN邱Ƃo܂B"	// S.H
	}, 

	// kPGDMajorError_IncorrectPublicKeyPassphrase
	{
//		"The passphrase you entered is not a valid public key passphrase "
//		"for this PGPdisk. Please try again."
		"͂ꂽpXt[ÝA PGPdisk ̌J̐pXt[Ył͂܂B"
		"xĂB"	// S.H
	}

};

LPCSTR kPGPdiskMinorErrorStrings[kPGPdiskMaxMinorErrorStrings] =
{
	// kPGDMinorError_NoErr
	{
//		"there was no error"
		"G[ł͂Ȃ"	// S.H
	}, 

	// kPGDMinorError_DialogDisplayFailed
	{
//		"PGPdisk was unable to display a dialog box"
		"_CAO{bNX\łȂ"	// S.H
	}, 
	
	// kPGDMinorError_DriverCommFailure
	{
//		"data could not be sent to or received from the driver"
		"f[^hCo瑗MłȂ"	// S.H
	}, 
	
	// kPGDMinorError_TooManyAppsRegistered
	{
//		"there are too many PGPdisk apps currently open"
		" PGPdisk AvP[VJĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_FilesOpenOnDrive
	{
//		"there are open files on or open views of a PGPdisk. Please close "
//		"all open files and all Explorer windows and then try again"
		"t@CJĂ邩APGPdisk ̓e\Ă邽"
		" (JĂ邷ׂẴt@CƁAGNXv[Ă) "	// S.H
	}, 
	
	// kPGDMinorError_MaxPGPdisksMounted
	{
//		"the maximum number of PGPdisks are already mounted"
		"ł PGPdisk ő吔}EgĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_NoPGPdisksToUnmount
	{
//		"there are no PGPdisks currently mounted"
		"݃}EgĂ PGPdisk Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_OutOfMemory
	{
//		"of an out of memory error"
		"Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_PGPdiskAlreadyMounted
	{
//		"the seleced PGPdisk is already mounted"
		"Iꂽ PGPdisk ͊Ƀ}EgĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_SemaphoreCreationFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_CloseHandleFailed
	{
//		"PGPdisk was unable to close a handle"
		"PGPdisk nhȂ"	// S.H
	}, 
	
	// kPGDMinorError_DriverNotInstalled
	{
//		"the PGPdisk driver is not installed. Please re-install PGPdisk and "
//		"then try again"
		"PGPdisk hCoCXg[ĂȂ"
		" (PGPdisk ăCXg[Ă)"	// S.H
	}, 
	
	// kPGDMinorError_ThreadCreationFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_FileOpenFailed
	{
//		"PGPdisk was unable to open a file"
		"t@CJȂ"	// S.H
	}, 
	
	// kPGDMinorError_SetFilePosFailed
	{
//		"PGPdisk was unable to set a file position"
		"t@C̏ꏊݒłȂ"	// S.H
	}, 
	
	// kPGDMinorError_SetEOFFailed
	{
//		"PGPdisk was unable to set the end of file"
		"t@C̏I[ݒłȂ"	// S.H
	}, 
	
	// kPGDMinorError_FileReadFailed
	{
//		"PGPdisk was unable to read from a file"
		"t@Cǂݍ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_FileWriteFailed
	{
//		"PGPdisk was unable to write to a file"
		"t@Cɏ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_MutexCreationFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_GetFreeSpaceFailed
	{
//		"PGPdisk was unable to determine the amount of free disk space"
		"fBXN̋󂫗eʂ擾łȂ"	// S.H
	}, 
	
	// kPGDMinorError_GetVersionFailed
	{
//		"PGPdisk was unable to determine the version of Windows installed "
//		"on this system"
		"̃VXeɃCXg[Ă Windows ̃o[W擾łȂ"	// S.H
	}, 
	
	// kPGDMinorError_IOFlagViolation
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IspGetDcbFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IspInsertCalldownFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_FindAppPathFailed
	{
//		"PGPdisk was unable to find the pathname of the PGPdisk application"
		"PGPdisk AvP[ṼpX邱ƂoȂ"	// S.H
	}, 
	
	// kPGDMinorError_GetAppModuleFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_LockVolumeFailed
	{
//		"a volume could not be locked for use by PGPdisk. It may be in use "
//		"by another disk utility"
		"̃fBXN[eBeBɂĎgpĂāAPGPdisk g悤Ƀ{[bNłȂ"	// S.H
	}, 
	
	// kPGDMinorError_UnlockVolumeFailed
	{
//		"a volume could not be unlocked for use by PGPdisk. It may be in "
//		"use by another disk utility"
		"̃fBXN[eBeBɂĎgpĂāAPGPdisk g悤Ƀ{[bNłȂ"	// S.H
	}, 
	
	// kPGDMinorError_EnumOpenFilesFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_InvalidVRP
	{
//		"the PGPdisk's host volume appears to have gone away"
		"PGPdisk ̃zXg{[ꂽ"	// S.H
	}, 
	
	// kPGDMinorError_IorAllocationFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_IspDriveLetterPickFailed
	{
//		"there are no free drive letters available"
		"U\ȃhCuȂ"	// S.H
	}, 
	
	// kPGDMinorError_IspAssociateDcbFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IspDisassocDcbFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_R0OpenFailed
	{
//		"the driver was unable to open a file"
		"hCot@CJȂ"	// S.H
	}, 
	
	// kPGDMinorError_R0CloseFailed
	{
//		"the driver was unable to close a file"
		"hCot@CȂ"	// S.H
	}, 
	
	// kPGDMinorError_R0ReadFailed
	{
//		"the driver was unable to read from a file"
		"hCot@Cǂݍ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_R0WriteFailed
	{
//		"the driver was unable to write to a file"
		"hCot@Cɏ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_R0SetFilePosFailed
	{
//		"the driver was unable to set a file position"
		"hCot@C̈ʒuݒłȂ"	// S.H
	}, 

	// kPGDMinorError_IorReadFailure
	{
//		"the driver was unable to read from a volume"
		"hCo{[ǂݍ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_IorWriteFailure
	{
//		"the driver was unable to write to a volume"
		"hCo{[ɏ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_IosRegistrationFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_LoadLibraryFailed
	{
//		"PGPdisk was unable to load a needed Windows .dll"
		"Kv Windows  .dll [hłȂ"	// S.H
	}, 
	
	// kPGDMinorError_GetProcAddrFailed
	{
//		"of an internal error within the PGPdisk application"
		"PGPdisk AvP[V̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_R0GetFileSize
	{
//		"the driver was unable to determine the size of a file"
		"hCot@C̃TCYłȂ"	// S.H
	}, 
	
	// kPGDMinorError_OOBFileRequest
	{
//		"an invalid read or write request was received"
		"sȓǂݏ̖߂󂯎"	// S.H
	}, 
	
	// kPGDMinorError_CorruptFat
	{
//		"the FAT table of the host volume appears to be corrupted"
		"zXg{[ FAT e[usȂ"	// S.H
	}, 
	
	// kPGDMinorError_GetFirstClustFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_VWIN32NotFound
	{
//		"of an internal error within the PGPdisk application"
		"PGPdisk AvP[V̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_DcbClaimFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_FileNotFound
	{
//		"this file could not be found"
		"̃t@CȂ"	// S.H
	}, 
	
	// kPGDMinorError_RegistryWriteFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_FailSilently
	{
//		"the user canceled the operation"
		"[Uɂđ삪~ꂽ"	// S.H
	}, 
	
	// kPGDMinorError_DeviceHookFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_AppIsIncompatVersion
	{
//		"this system is running different versions of the PGPdisk driver "
//		"and the PGPdisk application. Please re-install PGPdisk to correct "
//		"this"
		"̃VXe PGPdisk hCo PGPdisk AvP[Ṽo[WႤ"
		" (PGPdisk ăCXg[Ă)"	// S.H
	}, 
	
	// kPGDMinorError_DriverIsIncompatVersion
	{
//		"this system is running different versions of the PGPdisk driver "
//		"and the PGPdisk application. Please re-install PGPdisk to correct "
//		"this"
		"̃VXe PGPdisk hCo PGPdisk AvP[Ṽo[WႤ"
		" (PGPdisk ăCXg[Ă)"	// S.H
	}, 
	
	// kPGDMinorError_PostThreadMessageFailed
	{
//		"of an internal error within the PGPdisk application"
		"PGPdisk AvP[V̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_BadAppOp
	{
//		"of an internal error within the PGPdisk application"
		"PGPdisk AvP[V̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_SetVolumeLabelFailed
	{
//		"PGPdisk was unable to set the name of a volume"
		"{[ݒłȂ"	// S.H
	}, 
	
	// kPGDMinorError_SetTimerFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_HookSysBroadcastFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_BitmapLoadFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_LinPageLockFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_LinPageUnlockFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_VirtualFreeFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_RegCreateKeyExFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_RegSetValueExFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_RegCloseKeyFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 

	// kPGDMinorError_BadHeaderMagic
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_BadHeaderCRC
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_InvalidHeaderType
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_NewerHeaderVersion
	{
//		"this PGPdisk was created by a newer version of the PGPdisk "
//		"application"
		" PGPdisk AVo[W PGPdisk AvP[VɂčĂ"	// S.H
	}, 
	
	// kPGDMinorError_BadHeaderSize
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_InvalidAlgorithm
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_InvalidTotalFileSize
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_InvalidFileDataSize
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_InvalidHeaderBlocks
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_IncorrectPassphrase
	{
//		"the passphrase you entered is not a valid master or alternate "
//		"passphrase for this PGPdisk"
		"͂ꂽpXt[YA PGPdisk ̗Lȃ}X^/㗝pXt[Ył͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_PGPdiskIsWriteProtected
	{
//		"this PGPdisk file is write-protected"
		" PGPdisk t@C݋֎~̂"	// S.H
	}, 
	
	// kPGDMinorError_AllAlternatesTaken
	{
//		"all seven alternate passphrases are already in use"
		"ł 7 ׂ̂Ă̑㗝pXt[YgpĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_UnsupportedFilesystem
	{
//		"this file does not appear to be a valid PGPdisk"
		"̃t@C PGPdisk ̂悤ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_ContextNotInitialized
	{
//		"of an internal error within the PGPdisk application"
		"PGPdisk AvP[V̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_InvalidSBoxes
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_GetFileAttribsFailed
	{
//		"PGPdisk was unable to access a file"
		"PGPdisk t@CɃANZXłȂ"	// S.H
	}, 
	
	// kPGDMinorError_GetVolumeInfoFailed
	{
//		"PGPdisk was unable to get information about a volume"
		"PGPdisk {[ɂĂ̏擾łȂ"	// S.H
	}, 
	
	// kPGDMinorError_HotKeyHookFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_RegOpenKeyExFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_RegQueryValueExFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_IopRequestOverflow
	{
//		"an internal buffer overflow error within the PGPdisk driver"
		"PGPdisk hCołŁAobt@I[o[t[N"	// S.H
	}, 
	
	// kPGDMinorError_MiniRequestOverflow
	{
//		"an internal buffer overflow error within the PGPdisk drive"
		"PGPdisk hCołŁAobt@I[o[t[N"	// S.H
	}, 
	
	// kPGDMinorError_RegisteredAppNotFound
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_PGPdiskNotFound
	{
//		"this PGPdisk does not exist or could not be found"
		" PGPdisk Ȃ݂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_DirectoryWriteProtected
	{
//		"the specified directory is write-protected"
		"w肳ꂽfBNg݋֎~̂"	// S.H
	}, 
	
	// kPGDMinorError_DirectoryNotFound
	{
//		"the specified directory does not exist"
		"w肳ꂽfBNg݂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_DirectoryTooSmall
	{
//		"the specified directory does not have the minimum required amount "
//		"of free space (about 75k)"
		"w肳ꂽfBNgɁAKvƂŒ̋󂫗̈ (75KB ق) ݂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_NoDriveLettersFree
	{
//		"there are no free drive letters available"
		"蓖ĉ\ȃhCuȂ"	// S.H
	}, 
	
	// kPGDMinorError_UserAbort
	{
//		"the user canceled the operation"
		"[Uɂđ삪~ꂽ"	// S.H
	}, 
	
	// kPGDMinorError_GetFileSizeFailed
	{
//		"PGPdisk could not determine the size of a file"
		"t@C̃TCY擾łȂ"	// S.H
	}, 
	
	// kPGDMinorError_NoAlternatesToRemove
	{
//		"this PGPdisk has no alternate passphrases to remove"
		"폜ł㗝pXt[Y݂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_RegEnumKeyExFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_RegDeleteKeyFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_PGPdiskNotMounted
	{
//		"the specified file is not a mounted PGPdisk"
		"w肳ꂽt@CA}Egꂽ PGPdisk ł͂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_InvalidPathNameFound
	{
//		"the specified path or filename is invalid"
		"w肳ꂽpXt@CsȂ"	// S.H
	}, 
	
	// kPGDMinorError_FindFirstFileFailed
	{
//		"an error occured while finding a directory or a file"
		"fBNgA邢̓t@CɃG["	// S.H
	}, 
	
	// kPGDMinorError_CoCreateInstanceFailed
	{
//		"an error occurred while initializing an OLE object"
		"OLE IuWFNgɃG["	// S.H
	}, 
	
	// kPGDMinorError_QueryInterfaceFailed
	{
//		"an error occurred while querying an OLE object"
		"OLE IuWFNgƂ̖₢킹ɃG["	// S.H
	}, 
	
	// kPGDMinorError_OLELoadCommandFailed
	{
//		"an error occurred whlie loading an OLE object"
		"OLE IuWFNg[hɃG["	// S.H
	}, 
	
	// kPGDMinorError_ResolveShortcutFailed
	{
//		"the specified shortcut could not be resolved"
		"w肳ꂽV[gJbg̎w悪Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_OLEGetPathFailed
	{
//		"the specified shortcut could not be resolved"
		"w肳ꂽV[gJbg̎w悪Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_OLEGetDescriptionFailed
	{
//		"an error occurred while getting a description of the file"
		"t@C̃fBXNvV擾ɃG["	// S.H
	}, 
	
	// kPGDMinorError_CoInitializeExFailed
	{
//		"the COM library could not be initialized"
		"COM CułȂ"	// S.H
	}, 
	
	// kPGDMinorError_InstallFSAPIHookFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_PGPdiskAlreadyInUse
	{
//		"this PGPdisk may already be opened with read/write access by "
//		"another user or application"
		" PGPdisk ɑ̃[UAvP[VɂăANZXĂāA"
		"ǂݏ邱ƂoȂ"	// S.H
	}, 
	
	// kPGDMinorError_RegDeleteValueFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_MapViewOfFileFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 
	
	// kPGDMinorError_OleInitFailed
	{
//		"OLE could not be initialized"
		"OLE łȂ"	// S.H
	}, 
	
	// kPGDMinorError_DeviceConstructFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_RegEnumValueFailed
	{
//		"of a problem accessing the system registry"
		"VXẽWXgɖ肪"	// S.H
	}, 
	
	// kPGDMinorError_PGPdiskIsBusy
	{
//		"this PGPdisk is busy processing an I/O request"
		" PGPdisk  I/O ŗvɉȂ"	// S.H
	}, 
	
	// kPGDMinorError_SHFormatDriveFailed
	{
//		"PGPdisk was unable to display the Windows formatting dialog"
		"Windows tH[}bg_CAO\łȂ"	// S.H
	}, 
	
	// kPGDMinorError_DiskTooBigToFormat
	{
//		"the specified PGPdisk volume is too large to format automatically. "
//		"Instead, browse to the volume in the Windows Explorer, "
//		"right-click on the drive letter, and choose 'Format' from the "
//		"context menu"
		"w肳ꂽ PGPdisk {[͎ŃtH[}bgɂ͑傫邽"
		" (Windows GNXv[̃hCuENbNāAj[tH[}bgIĂ) "	// S.H
	}, 
	
	// kPGDMinorError_ZwQueryInfoFileFailed
	{
//		"PGPdisk was unable to read the attributes of a file"
		"t@C̑ǂݍ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_ZwCreateFileFailed
	{
//		"PGPdisk was unable to open or create a file"
		"t@C쐬JoȂ"	// S.H
	}, 
	
	// kPGDMinorError_ZwCloseFailed
	{
//		"PGPdisk was unable to close a file"
		"t@CȂ"	// S.H
	}, 
	
	// kPGDMinorError_ZwReadFileFailed
	{
//		"PGPdisk was unable to read from a file"
		"t@Cǂݍ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_ZwWriteFileFailed
	{
//		"PGPdisk was unable to write to a file"
		"t@Cɏ߂Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_RtlAnsiToUniFailed
	{
//		"PGPdisk was unable to convert a string from ANSI to Unicode"
		" ANSI  Unicode ɕϊłȂ"	// S.H
	}, 
	
	// kPGDMinorError_RtlUniToAnsiFailed
	{
//		"PGPdisk was unable to convert a string from Unicode to ANSI"
		" Unicode  ANSI ɕϊłȂ"	// S.H
	}, 
	
	// kPGDMinorError_IoGetDeviceObjFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IoCreateDeviceFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IoCreateSymbolicLinkFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IoDeleteSymbolicLinkFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_ObRefObjByHandleFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IoBuildIOCTLRequestFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IoCallDriverFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_IoBuildSynchFsdRequestFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 

	// kPGDMinorError_UniStringOpFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_NotCompatibleWindows
	{
//		"PGPdisk is not compatible with your version of Windows"
		"PGPdisk ͂Ȃ Windows ̃o[Wƌ݊Ȃ"	// S.H
	}, 
	
	// kPGDMinorError_RegisterClassExFailed
	{
//		"a window class could not be registered"
		"EBhENXo^łȂ"	// S.H
	}, 
	
	// kPGDMinorError_CreateWindowFailed
	{
//		"a window could not be created"
		"EBhE쐬łȂ"	// S.H
	}, 

	// kPGDMinorError_AttachMenuFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 

	// kPGDMinorError_CreatePopupMenuFailed
	{
//		"a menu could not be created"
		"j[쐬łȂ"	// S.H
	}, 

	// kPGDMinorError_InsertMenuFailed
	{
//		"a menu item could not be inserted into a menu"
		"j[̃ACej[ɒǉłȂ"	// S.H
	}, 

	// kPGDMinorError_CreateFileMappingFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 

	// kPGDMinorError_OpenFileMappingFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 

	// kPGDMinorError_UnmapViewOfFileFailed, 
	{
//		"of an internal error within the PGPdisk application"
		"PGPdisk AvP[V̓G[̂"	// S.H
	}, 

	// kPGDMinorError_WindowCreationFailed
	{
//		"a window couldn't be created"
		"EBhE쐬łȂ"	// S.H
	}, 

	// kPGDMinorError_InvalidParameter
	{
//		"an invalid parameter was received"
		"sȈ󂯎"	// S.H
	}, 

	// kPGDMinorError_IoAllocateMdlFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 

	// kPGDMinorError_CreateSystemThreadFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 

	// kPGDMinorError_InvalidDeviceReceived
	{
//		"the system attempted to perform I/O to a non-existant PGPdisk"
		"VXe݂Ȃ PGPdisk ɑ΂ I/O sƂ"	// S.H
	}, 

	// kPGDMinorError_BroadcastSystemMessageFailed
	{
//		"PGPdisk was unable to broadcast a windows message to the system"
		"VXeɃbZ[Wu[hLXgoȂ"	// S.H
	}, 

	// kPGDMinorError_IoInitializeTimerFailed
	{
//		"Windows is running critically low on resources"
		"Windows ̃\[XsĂ邽"	// S.H
	}, 

	// kPGDMinorError_KModeExceptionOccured
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 

	// kPGDMinorError_RegisterHotKeyFailed
	{
//		"PGPdisk was unable to register a hotkey"
		"zbgL[o^łȂ"	// S.H
	}, 

	// kPGDMinorError_UnregisterHotKeyFailed
	{
//		"PGPdisk was unable to unregister a hotkey"
		"zbgL[̓o^oȂ"	// S.H
	}, 

	// kPGDMinorError_CantFormatDrive
	{
//		"PGPdisk doesn't support formatting drives of this type. Use "
//		"Windows to format the drive instead"
		"hCuAWindows ŃT|[gĂȂ^CṽtH[}bgĂ邽"	// S.H
	}, 

	// kPGDMinorError_CreateProcessFailed
	{
//		"of an internal error within the PGPdisk application"
		"PGPdisk AvP[V̓G[̂"	// S.H
	}, 

	// kPGDMinorError_AccessDeniedToVolume
	{
//		"access is denied. The current user doesn't have the privileges "
//		"necessary to access the specified volume"
		"w肳ꂽ{[ɃANZX錠Ȃ"	// S.H
	}, 

	// kPGDMinorError_CouldntFindAppString
	{
//		"the PGPdisk application could not be found. Please run PGPdisk "
//		"once to correct this"
		"PGPdisk AvP[VȂ"
		" (̖C邽߂ɁAPGPdisk NĂ) "	// S.H
	}, 

	// kPGDMinorError_BlockSizeNotSupported
	{
//		"PGPdisk does not support volumes whose block size is greater than "
//		"the page size of the current system (usually 4k)"
		"݂̃VXẽy[WTCY (ʂ 4KB) 傫ȃubNTCỸ{[̓T|[gĂȂ"	// S.H
	}, 

	// kPGDMinorError_WNetGetUniNameFailed
	{
//		"PGPdisk was unable to determine the location of a file on a "
//		"networked drive"
		"PGPdisk ɂAt@Clbg[NhCuɂƔf"	// S.H
	}, 

	// kPGDMinorError_NetShareGetInfoFailed
	{
//		"PGPdisk was unable to determine the location of a file on a "
//		"networked drive"
		"PGPdisk ɂAt@Clbg[NhCuɂƔf"	// S.H
	}, 

	// kPGDMinorError_TriedNTFSOnWin95
	{
//		"it was formatted using the NTFS filesystem under Windows NT, which "
//		"is not compatible with either Windows 95 or 98"
		"Windows NT Ŏg NTFS ́AWindows 95  98 ł͎gp邱ƂoȂ"	// S.H
	}, 

	// kPGDMinorError_TriedReadOnlyNTFS
	{
//		"it was formatted using the NTFS filesystem, which cannot be used "
//		"in read-only mode. If you are attempting to mount this disk with "
//		"an ADK and are seeing this message, then either uncheck the "
//		"read-only option in the passphrase dialog or mark the PGPdisk "
//		"file as non-read-only"
		"NTFS t@CVXeŃtH[}bgĂāAǂݎp[hŎgp邱Ƃ͏oȂ"
		" (AADK ł̃fBXN}Eg悤ƂĂꍇApXt[Y_CAO"
		"ǂݎp`FbNOAPGPdisk t@C̓ǂݎp̃`FbNOĂ) "	// S.H
	}, 

	// kPGDMinorError_ZwOpenProcessFailed, 
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 
	
	// kPGDMinorError_ZwOpenProcessTokenFailed, 
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 

	// kPGDMinorError_ZwDuplicateTokenFailed, 
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 

	// kPGDMinorError_ZwSetThreadInfoFailed
	{
//		"of an internal error within the PGPdisk driver"
		"PGPdisk hCo̓G[̂"	// S.H
	}, 

	// kPGDMinorError_NetWkstaGetInfoFailed
	{
//		"PGPdisk was unable to determine the name of a computer"
		"PGPdisk Rs[^擾łȂ"	// S.H
	}, 

	// kPGDMinorError_SDKFuncFailed
	{
//		"an error occurred while processing a public or private PGP key"
		"PGP ̌J/閧ɃG["	// S.H
	}, 

	// kPGDMinorError_SDKNotAvailable
	{
//		"the PGPsdk dll file could not be found"
		"PGPsdk  dll t@CȂ"	// S.H
	}, 

	// kPGDMinorError_ZwSetInfoFileFailed
	{
//		"PGPdisk was unable to set the size of a file"
		"PGPdisk t@C̃TCYݒłȂ"	// S.H
	}, 

	// kPGDMinorError_IncPassAndKeyNotInRing
	{
//		"the passphrase you entered is not a valid master or alternate "
//		"passphrase for this PGPdisk. (Please note that there were "
//		"public key passphrases on this PGPdisk that could not be checked, "
//		"either because they aren't on the local keyring or because the "
//		"local keyring could not be opened)"
		"͂ꂽpXt[ÝA PGPdisk ̗Lȃ}X^/㗝pXt[Ył͂Ȃ"
		" ( PGPdisk ̌J̃pXt[Y݂܂A"
		"[JOɑ݂ȂA[JOJȂ߁A"
		"ׂ邱Ƃo܂) "	// S.H
	}, 

	// kPGDMinorError_CantGetADK
	{
//		"the Additional Decryption Key associated with this installation of "
//		"PGPdisk could not be accessed"
		" PGPdisk Ɗ֘AANZXłȂ"	// S.H
	}, 

	// kPGDMinorError_PGPdiskPassesWiped
	{
//		"this PGPdisk has had its master and alternate passphrases wiped. "
//		"It can now only be mounted by the holder of the private key "
//		"associated with one or more of the public keys on the PGPdisk"
		" PGPdisk ĂA}X^/㗝pXt[Y폜ꂽ"
		" (݁APGPdisk ̌JɑΉ閧̃pXt[YɂĂ̂݃}Egł܂) "	// S.H
	}, 

	// kPGDMinorError_NoADKWhenConverting
	{
//		"this PGPdisk contains an ADK that is not present on the current "
//		"public key ring. Please acquire a copy of this public key before "
//		"attempting conversion. A list of the public keys on this PGPdisk "
//		"will now be displayed"
		" PGPdisk ͌̌JOɑ݂Ȃ ADK ܂ł邽"
		" (ϊ݂OɁAJ̃Rs[擾Ă) "	// S.H
	}, 

	// kPGDMinorError_SetIsCompressedFailed
	{
//		"PGPdisk was unable to set the compression state of a file"
		"PGPdisk ̓t@C̈kݒ肷邱ƂłȂ"	// S.H
	}
};
