/*____________________________________________________________________________
	Copyright (C) 1997 Network Associates Inc. and affiliated companies.
	All rights reserved.

	$Id: ClVwClip.c,v 1.16 1999/03/10 02:34:38 heller Exp $
____________________________________________________________________________*/
#include "precomp.h"

char* m_pDialogOutput = NULL;
DWORD m_dwDialogOuputSize = 0;

// S.H {
extern void *PGPscLocal;
extern void *PGPtlsLocal;

/* encrypt.c */
BOOL GetCommentLine(PGPContextRef context,
					char *comment,PGPSize size,PGPUInt32 *PrefAlg,
					PGPCipherAlgorithm *pAllowedAlgs, int *pNumAlgs);
BOOL WrapIfNecessary(PGPContextRef context,
					 char **pszClipText,DWORD *dwClipSize);
PGPError GenericEncSign(MYSTATE *ms,
					PGPOptionListRef opts,
					char *OperationTarget);

/* decrypt.c */
PGPError GenericDecVer(MYSTATE *ms,
					PGPOptionListRef opts,
					char *OperationTarget);

/* working.c */
BOOL CALLBACK WorkingDlgProc (HWND hDlg, UINT uMsg, WPARAM wParam,
							LPARAM lParam);

unsigned long DoEncryptEditBox(HWND hdlg,void *PGPsc,void *PGPtls, BOOL Encrypt,BOOL Sign);
unsigned long DoDecryptEditBox(HWND hwnd,void *PGPsc,void *PGPtls);
// } S.H

BOOL WINAPI ClipboardViewProc(HWND hdlg, UINT uMsg, 
							  WPARAM wParam, LPARAM lParam);


UINT EnclyptorViewClipboard(HWND hwnd, void* pInput,DWORD dwInSize, 
							void** ppOutput, DWORD* pOutSize)
{
	UINT ReturnValue = FALSE;
	BOOL DialogReturn = FALSE;
	char* szDialogInput = NULL;
	
	assert(pInput);
	assert(ppOutput);

	DialogReturn = DialogBoxParam(g_hinst, 
		MAKEINTRESOURCE(IDD_CLIPBOARDVIEWER), hwnd, 
		ClipboardViewProc, (LPARAM) pInput);

	if(DialogReturn && m_pDialogOutput)
	{
		*ppOutput = m_pDialogOutput;
		*pOutSize = m_dwDialogOuputSize;

		ReturnValue = TRUE;
	}

	return ReturnValue;
}

void SizeEditClip(HWND hdlg,int Width,int Height)
{
	InvalidateRect(GetDlgItem(hdlg, IDC_EDIT1),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDC_EDIT1),
		10,10,
//		Width-20,Height-55,
		Width-20,Height-80,	// S.H
		TRUE);

// S.H {
	InvalidateRect(GetDlgItem(hdlg, IDC_ENCRYPT_EDIT),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDC_ENCRYPT_EDIT),
		Width-490,Height-60,
		100,22,
		TRUE);

	InvalidateRect(GetDlgItem(hdlg, IDC_SIGN_EDIT),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDC_SIGN_EDIT),
		Width-380,Height-60,
		100,22,
		TRUE);

	InvalidateRect(GetDlgItem(hdlg, IDC_ENCRYPTSIGN_EDIT),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDC_ENCRYPTSIGN_EDIT),
		Width-270,Height-60,
		125,22,
		TRUE);

	InvalidateRect(GetDlgItem(hdlg, IDC_DECRYPTVERIFY_EDIT),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDC_DECRYPTVERIFY_EDIT),
		Width-135,Height-60,
		125,22,
		TRUE);

	InvalidateRect(GetDlgItem(hdlg, IDC_TOJIS),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDC_TOJIS),
		Width-490,Height-30,
		100,22,
		TRUE);

	InvalidateRect(GetDlgItem(hdlg, IDC_TOSJIS),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDC_TOSJIS),
		Width-380,Height-30,
		100,22,
		TRUE);
// } S.H

	InvalidateRect(GetDlgItem(hdlg, IDCANCEL),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDCANCEL),
//		Width-130,Height-35,
		Width-110,Height-30,	// S.H
//		120,25,
		100,22,	// S.H
		TRUE);

	InvalidateRect(GetDlgItem(hdlg, IDOK),NULL,TRUE);

	MoveWindow(GetDlgItem(hdlg, IDOK),
//		Width-260,Height-35,
		Width-270,Height-30,	// S.H
//		120,25,
		150,22,	// S.H
		TRUE);
}

BOOL WINAPI ClipboardViewProc(HWND hdlg, UINT uMsg, 
							  WPARAM wParam, LPARAM lParam)
{
	switch(uMsg)
	{
		case WM_INITDIALOG:
		{
			RECT rc;

			SetWindowText(GetDlgItem(hdlg,IDC_EDIT1), (char*)lParam);
			GetClientRect(hdlg,&rc);
			SizeEditClip(hdlg,rc.right-rc.left,rc.bottom-rc.top);
			SetFocus(GetDlgItem(hdlg,IDC_EDIT1));

            GetWindowRect (hdlg, &rc);
            SetWindowPos (hdlg, NULL,
                (GetSystemMetrics(SM_CXSCREEN) - (rc.right - rc.left)) / 2,
                (GetSystemMetrics(SM_CYSCREEN) - (rc.bottom - rc.top)) / 2,
                0, 0, SWP_NOSIZE | SWP_NOZORDER);
// S.H {
			if(!Isnkf32()){
				EnableWindow(GetDlgItem(hdlg, IDC_TOSJIS), FALSE);
				EnableWindow(GetDlgItem(hdlg, IDC_TOJIS), FALSE);
			}
// } S.H

			SetForegroundWindow(hdlg);
			return FALSE;
		}
	
		case WM_QUIT:
		case WM_CLOSE:
		{
			EndDialog(hdlg, FALSE);
			break;
		} 
		
		case WM_GETMINMAXINFO:
		{
			MINMAXINFO* lpmmi;

		    lpmmi = (MINMAXINFO*) lParam;
//    		lpmmi->ptMinTrackSize.x = 300;
    		lpmmi->ptMinTrackSize.x = 508;	// S.H
//    		lpmmi->ptMinTrackSize.y = 200;
    		lpmmi->ptMinTrackSize.y = 300;	// S.H
            break;
		}

		case WM_CTLCOLOR:
		{          
 			if((wParam!=0)&&(HIWORD(lParam)!=CTLCOLOR_EDIT))
			{ 
				DWORD color;
				color=GetSysColor(COLOR_BTNFACE);
				
			  	SetBkColor ((HDC)wParam, color);
			  	SetTextColor ((HDC)wParam, 
					GetSysColor (COLOR_WINDOWTEXT));      
			  	return (BOOL)CreateSolidBrush (color);
			} 	 
			break;
		}

		case WM_SIZE:
		{
			unsigned short Width, Height;
			Width = LOWORD(lParam);  // width of client area 
			Height = HIWORD(lParam); // height of client area 

			SizeEditClip(hdlg,Width,Height);
			break;
		}

		case WM_COMMAND:
		{
			switch(wParam)
			{
				case IDOK:
				{
					DWORD TextLength = 0;

					TextLength=GetWindowTextLength(GetDlgItem(hdlg, IDC_EDIT1));
					TextLength=TextLength+1; // Bug in GetWindowTextLength

					if(TextLength)
					{
						m_pDialogOutput = (char*) malloc( TextLength+1 );
						memset(m_pDialogOutput,0x00,TextLength+1);
						m_dwDialogOuputSize = TextLength;

						if(m_pDialogOutput)
						{
							GetWindowText(GetDlgItem(hdlg, IDC_EDIT1),
								  m_pDialogOutput, TextLength);

							m_pDialogOutput[TextLength]=0; // Trailing NULL
						}
					}
					else
					{
						m_pDialogOutput = (char *) malloc(1);
						m_dwDialogOuputSize=0;
						*m_pDialogOutput = '\0';
					}

					EndDialog(hdlg, TRUE);
					break;
				}

// S.H {
				case IDC_TOSJIS:
				case IDC_TOJIS:
				{
					DWORD TextLength = 0;

					TextLength=GetWindowTextLength(GetDlgItem(hdlg, IDC_EDIT1));
					TextLength=TextLength+1; // Bug in GetWindowTextLength

					if(TextLength)
					{
						char *m_pDialogTemp = (char*) malloc( TextLength+1 );
						memset(m_pDialogTemp,0x00,TextLength+1);

						if(m_pDialogTemp)
						{
							char *m_pDialogTempC;
							DWORD TextLengthC = 0;
							
							GetWindowText(GetDlgItem(hdlg, IDC_EDIT1),
								  m_pDialogTemp, TextLength);

							m_pDialogTemp[TextLength]=0; // Trailing NULL
							switch(wParam)
							{
								case IDC_TOSJIS:
									if(!BufferSJIS(m_pDialogTemp, TextLength, &m_pDialogTempC, &TextLengthC))
									{
										m_pDialogTempC = m_pDialogTemp;
										TextLengthC = TextLength;
										m_pDialogTemp = NULL;
									}
									break;
								case IDC_TOJIS:
									if(!BufferJIS(m_pDialogTemp, TextLength, &m_pDialogTempC, &TextLengthC))
									{
										m_pDialogTempC = m_pDialogTemp;
										TextLengthC = TextLength;
										m_pDialogTemp = NULL;
									}
									break;
								default:
									m_pDialogTempC = m_pDialogTemp;
									TextLengthC = TextLength;
									m_pDialogTemp = NULL;
									break;
							}
							SetWindowText(GetDlgItem(hdlg, IDC_EDIT1),
								  m_pDialogTempC);
							free(m_pDialogTempC);
							if(m_pDialogTemp)
							{
								free(m_pDialogTemp);
							}
						}
					}
					break;
				}
				case IDC_ENCRYPT_EDIT:
				{
					DoEncryptEditBox(hdlg, PGPscLocal, PGPtlsLocal, TRUE, FALSE);
					break;
				}

				case IDC_SIGN_EDIT:
				{
					DoEncryptEditBox(hdlg, PGPscLocal, PGPtlsLocal, FALSE, TRUE);
					break;
				}

				case IDC_ENCRYPTSIGN_EDIT:
				{
					DoEncryptEditBox(hdlg, PGPscLocal, PGPtlsLocal, TRUE, TRUE);
					break;
				}

				case IDC_DECRYPTVERIFY_EDIT:
				{
					DoDecryptEditBox(hdlg, PGPscLocal, PGPtlsLocal);
					break;
				}
// } S.H

				case IDCANCEL:
				{
					EndDialog(hdlg, FALSE);
					break;
				}

			}
			return TRUE;
		}

	}
	return FALSE;
}

void TextViewer(HWND hwnd,char *szInText,DWORD dwInSize)
{
	DWORD dwOutSize = 0;
	char* szOutText = NULL;
 	BOOL WinNT;

    WinNT=FALSE;
    
	{
#ifdef _WIN32		
		OSVERSIONINFO osid;
		osid.dwOSVersionInfoSize = sizeof (osid);
		GetVersionEx (&osid);   
		WinNT=(osid.dwPlatformId == VER_PLATFORM_WIN32_NT);
#endif // WIN32    		
		if (WinNT || (dwInSize < 65535))
		{
			if(EnclyptorViewClipboard(hwnd,szInText,dwInSize, 
				&szOutText,&dwOutSize) == TRUE)
			{
				StoreClipboardData(hwnd,szOutText,dwOutSize);
				memset(szOutText,0x00,dwOutSize);
				free(szOutText);
			}
		}
		else 
		{
			PGPscMessageBox (hwnd,IDS_PGPERROR,IDS_CLIPBOARDEXCEEDED,
					MB_OK|MB_ICONSTOP);
		}
	}
}

void LaunchInternalViewer(void *PGPsc,HWND hwnd)
{
	void *pClipboardData;
	UINT ClipboardFormat = 0;
	DWORD dwDataSize = 0;
	DWORD dwOutputSize = 0;
	void* pOutputBuffer = NULL;
 	BOOL WinNT;

	pClipboardData = RetrieveClipboardData(hwnd, &ClipboardFormat, 
						&dwDataSize);
  
	if(pClipboardData==0)
	{
		pClipboardData=(void *)malloc(1);
		memset(pClipboardData,0x00,1);
	}

    WinNT=FALSE;
    
	if(pClipboardData)
	{
		if(ClipboardFormat == CF_TEXT)
		{    
//			Always use editor when we edit. -wjb
//
//			if(GetSecureViewerPref(PGPsc))
//			{
//				TempestViewer(PGPsc,hwnd,pClipboardData,dwDataSize,FALSE);
//			}
//			else
//			{
				TextViewer(hwnd,
					pClipboardData,dwDataSize);
//			}
		}
		memset(pClipboardData,0x00,dwDataSize);
		free(pClipboardData);
	}
}

// S.H {
unsigned long DoEncryptEditBox(HWND hdlg,void *PGPsc,void *PGPtls,BOOL Encrypt,BOOL Sign)
{
	PGPContextRef context;
	PRECIPIENTDIALOGSTRUCT prds;
	char *pInput;
	DWORD dwInputSize;
	DWORD dwTextSize;
	char comment[80];
	PGPUInt32 PrefAlg;
	PGPCipherAlgorithm allowedAlgs[20];
	int nNumAlgs;
	MYSTATE *ms;
	PGPtlsContextRef tls;
	PGPError err;
	char StrRes[500];

	err=kPGPError_NoErr;

	context=(PGPContextRef)PGPsc;
	tls=(PGPtlsContextRef)PGPtls;

	if(IsPGPError(PGPclEvalExpired(hdlg, PGPCL_ENCRYPTSIGNEXPIRED)))
		return FALSE;

	if(!GetCommentLine(context,comment,sizeof(comment),&PrefAlg,
		allowedAlgs, &nNumAlgs))
		return FALSE;

	dwTextSize=GetWindowTextLength(GetDlgItem(hdlg, IDC_EDIT1));
	dwTextSize=dwTextSize+1; // Bug in GetWindowTextLength

	if(!dwTextSize)
	{
//		PGPscMessageBox (hdlg,IDS_PGPERROR,IDS_OUTOFMEM,
//					MB_OK|MB_ICONSTOP);
	}
	else
	{
		pInput = (LPSTR) malloc(dwTextSize+1);
		if(!pInput)
		{
			PGPscMessageBox (hdlg,IDS_PGPERROR,IDS_OUTOFMEM,
						MB_OK|MB_ICONSTOP);
		}
		else
		{
			memset(pInput,0x00,dwTextSize+1);
			GetWindowText(GetDlgItem(hdlg, IDC_EDIT1),
				  pInput, dwTextSize);
			pInput[dwTextSize]=0; // Trailing NULL
			dwInputSize = strlen(pInput);
			WrapIfNecessary(context,&pInput,&dwInputSize);

			prds=(PRECIPIENTDIALOGSTRUCT)
				malloc(sizeof(RECIPIENTDIALOGSTRUCT));

			if(prds)
			{
				memset(prds,0x00,sizeof(RECIPIENTDIALOGSTRUCT));

				LoadString (g_hinst, IDS_PGPKEYSELDLG, StrRes, sizeof(StrRes));

				prds->szTitle=StrRes;
				prds->dwOptions=PGPCL_ASCIIARMOR;
				prds->dwDisableFlags=PGPCL_DISABLE_ASCIIARMOR |
					PGPCL_DISABLE_WIPEORIG |
//					PGPCL_DISABLE_AUTOMODE;
					PGPCL_DISABLE_AUTOMODE | PGPCL_DISABLE_JIS;	// S.H

				ms=(MYSTATE *)malloc(sizeof(MYSTATE));
	
				if(ms)
				{
					memset(ms, 0x00, sizeof(MYSTATE) );

					ms->context=context;
					ms->tlsContext=tls;
					ms->pInput=pInput;
					ms->dwInputSize=dwInputSize;
					ms->Operation=MS_ENCRYPTCLIPBOARD;
					ms->prds=prds;
					ms->Encrypt=Encrypt; 
					ms->Sign=Sign;
					ms->comment=comment;
					ms->PrefAlg=PrefAlg;
					ms->allowedAlgs=allowedAlgs; 
					ms->nNumAlgs=nNumAlgs;
					ms->szAppName="PGP";

					if(OpenRings(hdlg,context,&(ms->KeySet)))
					{	
						err=SCProgressDialog(hdlg,DoWorkThread,ms,
//							  0,"Encoding Edit Box...",
							  0,"eLXgÍĂ܂...",	// S.H
							  "","",IDR_PROGAVI);
	
						if(prds->SelectedKeySetRef)
							PGPFreeKeySet(prds->SelectedKeySetRef);

						FreePhrases(ms);
				
						if((ms->pOutput!=0) && (IsntPGPError(err)))
						{
							SetWindowText(GetDlgItem(hdlg,IDC_EDIT1), ms->pOutput);
							StoreClipboardData(hdlg, ms->pOutput, ms->dwOutputSize);
							memset(ms->pOutput,0x00,ms->dwOutputSize);
							PGPFreeData(ms->pOutput); // Since auto alloced by CDK
						}

						PGPFreeKeySet(ms->KeySet);
					}
					free(ms);
				}
				free(prds);
			}
			memset(pInput,0x00,dwInputSize);
			free(pInput);
		}
	}

	if(IsPGPError(err))
		return FALSE;

	return TRUE;
}

unsigned long DoDecryptEditBox(HWND hdlg,void *PGPsc,void *PGPtls)
{
	PGPContextRef		context;
	MYSTATE *ms;
	char *pInput;
	DWORD dwInputSize;
	DWORD dwTextSize;
	PGPtlsContextRef tls;
	PGPError err;
	char *pOutput;
	DWORD dwOutputSize;
	BOOL FYEO;

	err=kPGPError_NoErr;

	context=(PGPContextRef)PGPsc;
	tls=(PGPtlsContextRef)PGPtls;

	if(IsPGPError(PGPclEvalExpired(hdlg, PGPCL_ALLEXPIRED)))
		return FALSE;

	dwTextSize=GetWindowTextLength(GetDlgItem(hdlg, IDC_EDIT1));
	dwTextSize=dwTextSize+1; // Bug in GetWindowTextLength

	if(!dwTextSize)
	{
//		PGPscMessageBox (hdlg,IDS_PGPERROR,IDS_OUTOFMEM,
//					MB_OK|MB_ICONSTOP);
	}
	else
	{
		pInput = (LPSTR) malloc(dwTextSize+1);
		if(!pInput)
		{
			PGPscMessageBox (hdlg,IDS_PGPERROR,IDS_OUTOFMEM,
						MB_OK|MB_ICONSTOP);
		}
		else
		{
			memset(pInput,0x00,dwTextSize+1);
			GetWindowText(GetDlgItem(hdlg, IDC_EDIT1),
				  pInput, dwTextSize);
			pInput[dwTextSize]=0; // Trailing NULL
			dwInputSize = strlen(pInput);

			ms=(MYSTATE *)malloc(sizeof(MYSTATE));

			if(ms)
			{
				memset(ms, 0x00, sizeof(MYSTATE) );

				ms->context=context;
				ms->tlsContext=tls;
				ms->pInput=pInput;
				ms->dwInputSize=dwInputSize;
				ms->Operation=MS_DECRYPTCLIPBOARD;
				ms->szAppName="PGP";

				if(OpenRings(hdlg,context,&(ms->KeySet)))
				{
					err=SCProgressDialog(hdlg,DoWorkThread,ms,
//						  0,"Decoding Text Box...",
						  0,"eLXg𕜍Ă܂...",	// S.H
						  "","",IDR_DECRYPTAVI);

					FreePhrases(ms);

// If no PGP data in clipboard, warn....
					if(!(ms->FoundPGPData))
						PGPscMessageBox (hdlg,IDS_PGPERROR,IDS_NOPGPINFOCLIPBOARD,
							MB_OK|MB_ICONEXCLAMATION);

					if(!ConcatOutBuffList(context,ms->obl,&pOutput,&dwOutputSize,&FYEO))
						PGPscMessageBox (hdlg,IDS_PGPERROR,IDS_OUTOFMEM,
							MB_OK|MB_ICONSTOP);

					if(pOutput)
					{
						if(IsntPGPError(err))
						{
							if((FYEO)||(GetSecureViewerPref(context)))
							{
								TempestViewer((void *)context,hdlg,pOutput,dwOutputSize,FYEO);
							}
							else
							{
								SetWindowText(GetDlgItem(hdlg,IDC_EDIT1), pOutput);
							}
						}

						memset(pOutput,0x00,dwOutputSize);
						PGPFreeData(pOutput); 
					}

					PGPFreeKeySet(ms->KeySet);
				}
				free(ms);
			}
		}
		memset(pInput,0x00,dwInputSize);
		free(pInput);
	}

	if(IsPGPError(err))
		return FALSE;

	return TRUE;
}
// } S.H

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/

