/*____________________________________________________________________________
	Copyright (C) 1999 Seigo Hashiya, Bote
	All rights reserved.

	$Id: nkf.c,v 1.00 1999/12/07 00:00:00 heller Exp $
___________________________________________________________________________*/
#include <windows.h>
#include <sys/stat.h>

#define NKF32DLL "nkf32.dll"

typedef void (CALLBACK* __GetNkfVersion)(LPSTR);
typedef int  (CALLBACK* __SetNkfOption )(LPCSTR);
typedef void (CALLBACK* __NkfConver    )(LPSTR, LPCSTR);

/* Bote */
BOOL Isnkf32(void)
{
	HINSTANCE hDLL;					// Handle to DLL
	__GetNkfVersion GetNkfVersion;	// Function pointer
	__SetNkfOption  SetNkfOption;	// Function pointer
	__NkfConver     NkfConvert;		// Function pointer

	hDLL = LoadLibrary(NKF32DLL);
	if (hDLL == NULL) {
		return FALSE;
	} else {
		GetNkfVersion = (__GetNkfVersion)GetProcAddress(hDLL, "GetNkfVersion");
		SetNkfOption  = (__SetNkfOption )GetProcAddress(hDLL, "SetNkfOption" );
		NkfConvert    = (__NkfConver    )GetProcAddress(hDLL, "NkfConvert"   );

		if (!GetNkfVersion || !SetNkfOption || !NkfConvert) {
			// handle the error
			FreeLibrary(hDLL);
			return FALSE;
		} else {
			FreeLibrary(hDLL);
			return TRUE;
		}
	}
}

/* Bote */
int ConvertNKF32(LPCSTR options, LPCSTR pInput, LPSTR pOutput)
{
	int   ReturnValue = 0;
	LPSTR NkfVersion  = NULL;
	HINSTANCE hDLL;					// Handle to DLL
	__GetNkfVersion GetNkfVersion;	// Function pointer
	__SetNkfOption  SetNkfOption;	// Function pointer
	__NkfConver     NkfConvert;		// Function pointer

	hDLL = LoadLibrary(NKF32DLL);
	if (hDLL == NULL) {
		return -1;
	} else {
		GetNkfVersion = (__GetNkfVersion)GetProcAddress(hDLL, "GetNkfVersion");
		SetNkfOption  = (__SetNkfOption )GetProcAddress(hDLL, "SetNkfOption" );
		NkfConvert    = (__NkfConver    )GetProcAddress(hDLL, "NkfConvert"   );

		if (!GetNkfVersion || !SetNkfOption || !NkfConvert) {
			// handle the error
			FreeLibrary(hDLL);       
			return -1;
		} else {
			NkfVersion = (LPSTR)malloc(1024);

			if (NkfVersion) {
				memset(NkfVersion, 0x00, 1024);
				GetNkfVersion(NkfVersion);
				if (strcmp(NkfVersion, "") != 0) {
					ReturnValue = SetNkfOption(options);
					NkfConvert(pOutput, pInput);
				} else {
					ReturnValue = -1;
				}
				memset(NkfVersion, 0x00, 1024);
				free(NkfVersion);
			}
			FreeLibrary(hDLL);
			return ReturnValue;
		}
	}
}

BOOL BufferKANJI(char *pInput, DWORD dwInSize, char **ppOutput, DWORD *pOutSize, LPCSTR options)
{
	DWORD dwMemSize = ((dwInSize) + 1) * 4;

	if (!pInput) return TRUE;

	*ppOutput = (LPSTR)malloc(dwMemSize);

	if (!*ppOutput)
		return FALSE;

	memset(*ppOutput, 0x00, dwMemSize);
	if (ConvertNKF32(options, pInput, *ppOutput) != 0) {
		memset(*ppOutput,0x00,dwMemSize);
		free(*ppOutput);
		*ppOutput = NULL;
		return FALSE;
	}

	*pOutSize = strlen(*ppOutput);
	return TRUE;
}

BOOL BufferSJIS(char *pInput, DWORD dwInSize, char **ppOutput, DWORD *pOutSize)
{
	return BufferKANJI(pInput, dwInSize, ppOutput, pOutSize, "-sm");
}

BOOL BufferJIS(char *pInput, DWORD dwInSize, char **ppOutput, DWORD *pOutSize)
{
	return BufferKANJI(pInput, dwInSize, ppOutput, pOutSize, "-Sjm");
}


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
